Bug 99882 - Visual artifact when tables are moved system-driven
Summary: Visual artifact when tables are moved system-driven
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: topicUI
Depends on:
Blocks: ImpressDraw-Tables
  Show dependency treegraph
 
Reported: 2016-05-16 15:24 UTC by Eric B.
Modified: 2019-12-03 15:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eric B. 2016-05-16 15:24:20 UTC
A blue rectangle is being draw over my drawing when using the "Align" tool to change the table's position. The rectangle's original use seems to be to highlight one of the table but it stays drawn at the table's original location until I close my drawing.

Steps to reproduce:

1. Add two tables to the drawing
2. Move one of the table so that the two are no longer vertically aligned.
3. Select the two tables.
4. Use the "Align" tool to left-align the two tables.
5. The table that was moved during the action will have a blue box draw over it.
6. Click in the non-blue table to select it
7. The other table will still be blue.
8. Select and Move the blue table
9. The blue rectangle will stay at the table's original location.

It is now impossible to make the blue box disappear unless you save and close the document and then reopen it.

Note that if you where to select the blue table at step 6 instead, the blue box would disappear.
Comment 1 Eric B. 2016-05-16 15:34:34 UTC
You can also reproduce this by selecting the two tables and moving them. After they have been moved, one of the two tables will be blue (if not, move them again). Once the blue table is there, select the non-blue one then try to move the blue one. The blue rectangle will stay at the table's original location.
Comment 2 Heiko Tietze 2016-05-16 19:12:22 UTC
No problem at all here. Two tables, select both, align > left: works like a charm. 

Version: 5.1.3.2
Build ID: 5.1.3.2 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.5; UI Render: default; 
Locale: de-DE (de_DE.UTF8)
Comment 3 Aron Budea 2016-05-17 03:10:19 UTC
Reproduced, but indeed it's only related to moving, and not to alignment.

Steps:
Have a table selected (create it or select it). Move table. Undo.
=> Blue rectangle denoting selection doesn't move back (new selection makes it disappear).


Tested and affected: LO 4.1.0.4, 5.1.3.2, master in Windows 7. 5.1.3.2 in Linux.
4.1.0.4 was the first release that had blue rectangle upon selection.

As it's a visual bug with negligible impact, reducing severity to minor.
Comment 4 Heiko Tietze 2016-05-17 08:23:34 UTC
(In reply to Aron Budea from comment #3)
> Have a table selected (create it or select it). Move table. Undo.
> => Blue rectangle denoting selection doesn't move back (new selection makes
> it disappear).

Confirmed (Windows, 5.2). Renamed the issue and set it for evaluation as easyhack in case a simple call to refresh is needed.
Comment 5 Heiko Tietze 2016-06-28 15:11:16 UTC
NEEDINFO for the code pointers.
Comment 6 Aron Budea 2016-06-28 22:07:56 UTC Comment hidden (no-value)
Comment 7 Heiko Tietze 2016-06-28 23:19:19 UTC Comment hidden (no-value)
Comment 8 Aron Budea 2016-06-29 01:50:13 UTC Comment hidden (no-value)
Comment 9 Xisco Faulí 2016-09-15 15:26:50 UTC
Removing keyword 'needsDevEval' as this bug is an easyHack
Comment 10 jani 2016-09-17 07:19:15 UTC
not an easyhack
Comment 11 Xisco Faulí 2017-09-29 08:52:00 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2019-12-03 15:02:34 UTC
Dear Eric B.,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug